<?php $__env->startSection('title', trans('messages.database')); ?>

<?php $__env->startSection('content'); ?>

    <h3 class="title-3"><i class="fas fa-database"></i> <?php echo e(trans('messages.database_configuration')); ?></h3>
    
    <form name="installForm" id="installForm" action="<?php echo e($installUrl . '/database'); ?>" method="POST">
        <?php echo csrf_field(); ?>

        
        <div class="row">
            <div class="col-md-6">
                <?php echo $__env->make('install.helpers.form_control', [
                    'type'       => 'text',
                    'label'      => trans('messages.hostname'),
                    'name'       => 'host',
                    'value'      => ($database["host"] ?? ""),
                    'help_class' => 'install',
                    'rules'      => $rules
                ], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            </div>
            <div class="col-md-6">
                <?php echo $__env->make('install.helpers.form_control', [
                    'type'        => 'text',
					'label'       => trans('messages.port'),
                    'name'        => 'port',
                    'value'       => ($database["port"] ?? "3306"),
                    'placeholder' => '3306',
                    'help_class'  => 'install',
                    'rules'       => $rules
                ], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            </div>
        </div>
        
        <div class="row">
            <div class="col-md-6">
                <?php echo $__env->make('install.helpers.form_control', [
                    'type'       => 'text',
					'label'      => trans('messages.username'),
                    'name'       => 'username',
                    'value'      => ($database["username"] ?? ""),
                    'help_class' => 'install',
                    'rules'      => $rules
                ], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            </div>
            <div class="col-md-6">
                <?php echo $__env->make('install.helpers.form_control', [
                    'type'       => 'text',
					'label'      => trans('messages.password'),
                    'name'       => 'password',
                    'value'      => ($database["password"] ?? ""),
                    'help_class' => 'install',
                    'rules'      => $rules
                ], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            </div>
        </div>
        
        <div class="row">
            <div class="col-md-6">
                <?php echo $__env->make('install.helpers.form_control', [
                    'type'       => 'text',
                    'label'      => trans('messages.database_name'),
                    'name'       => 'database',
                    'value'      => ($database["database"] ?? ""),
                    'help_class' => 'install',
                    'rules'      => $rules
                ], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            </div>
            <div class="col-md-6">
                <?php echo $__env->make('install.helpers.form_control', [
                    'type'       => 'text',
                    'label'      => trans('messages.tables_prefix'),
                    'name'       => 'prefix',
                    'value'      => ($database["prefix"] ?? ""),
                    'help_class' => 'install',
                    'rules'      => $rules
                ], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            </div>
        </div>
        
        <div class="row">
            <div class="col-md-6">
                <?php echo $__env->make('install.helpers.form_control', [
                    'type'       => 'text',
					'label'      => trans('messages.socket'),
                    'name'       => 'socket',
                    'value'      => ($database["socket"] ?? ""),
                    'help_class' => 'install',
                    'rules'      => $rules
                ], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            </div>
            <div class="col-md-6">
                &nbsp;
            </div>
        </div>
        
        <hr class="border-0 bg-secondary">
        
        <div class="text-end">
            <button type="submit" class="btn btn-primary">
                <?php echo trans('messages.save'); ?> <i class="fas fa-chevron-right position-right"></i>
            </button>
        </div>
    </form>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('after_scripts'); ?>
    <script type="text/javascript" src="<?php echo e(url()->asset('assets/plugins/forms/styling/uniform.min.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('install.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/chibo/Desktop/codecanyon-12.1.0-laraclassified-geo-classified-ads-cms/resources/views/install/database.blade.php ENDPATH**/ ?>